<?php
/*
Simple:Press
Blog Linking plugin uninstall routine
$LastChangedDate: 2013-02-17 11:59:36 -0800 (Sun, 17 Feb 2013) $
$Rev: 9855 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_linking_do_uninstall() {
	# Remove all data
	spdb_query('DROP TABLE IF EXISTS '.SFLINKS);
	spdb_query('ALTER TABLE '.SFTOPICS.' DROP blog_post_id');
	sp_delete_option('sfpostlinking');

	# remove the auths
	sp_delete_auth('create_linked_topics');
	sp_delete_auth('break_linked_topics');
}

function sp_linking_do_deactivate() {
    # deactivation so make our auths not active
    sp_deactivate_auth('create_linked_topics');
    sp_deactivate_auth('break_linked_topics');
}

?>