<?php
/*
Simple:Press
Name plugin install/upgrade routine
$LastChangedDate: 2014-06-07 14:32:19 -0700 (Sat, 07 Jun 2014) $
$Rev: 11528 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_linking_do_upgrade_check() {
    if (!sp_is_plugin_active('blog-linking/sp-linking-plugin.php')) return;

    $options = sp_get_option('sfpostlinking');

    $db = $options['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPLINKINGDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=3 WHERE auth_name='create_linked_topics'");
	   spdb_query('UPDATE '.SFAUTHS." SET auth_cat=5 WHERE auth_name='break_linked_topics'");
    }

    # save data
    $options['dbversion'] = SPLINKINGDBVERSION;
    sp_update_option('sfpostlinking', $options);
}

?>